Chris
Cheney
ccheney@debian.org
7 de març del 2003
dcop
1

# `dcop`

Client &DCOP; per a consola

    dcop --pipe --user  usuari --all-users --session  sessió --all-sessions --list-sessions --no-user-time  aplicació  objecte  funció arguments

## Descripció

Client &DCOP; per a consola

## Opcions

`--pipe`

  Crida a &DCOP; per a cada línia llegida des de l'entrada estàndard.

  Pràcticament és l'equivalent a escriure `while read line ; do dcop $line ; done` però com no s'inicia una nova instància de `dcop` per a cada línia això és generalment molt més ràpid, especialment per als lents enllaçadors dinàmics de GNU.

`--user` usuari

  Connecta a un usuari al servidor &DCOP;. Aquesta opció ignorarà els valors de les variables d'entorn $`DCOPSERVER` i $`ICEAUTHORITY`, fins i tot si tenen un valor establert.

  Si l'usuari te més d'una sessió oberta, també podreu emprar les opcions de la línia de comandaments `--list-sessions`, `--session` o `--all-sessions`.

`--all-users`

  Envia la mateixa crida de &DCOP; a tots els usuaris amb un servidor &DCOP; en execució. Tan sols eixiran missatges d'error per a les crides que fallin sobre servidors &DCOP; existents. Si aquest no està disponible no es generarà cap error.

`--session` sessió

  Envia a la sessió de &kde; indicada. Aquesta opció tan sols es pot usar en combinació amb l'opció `--user`.

`--all-sessions`

  Envia a totes les sessions que es trobin. Tan sols funciona amb les opcions `--user` i `--all-users`.

`--list-sessions`

  Llista totes les sessions actives del &kde; per a un usuari o per a tots els usuaris.

`--no-user-time`

  No actualitza l'activitat de l'usuari cada cert temps en la aplicació cridada (per al seu ús a scripts que s'executin en segon pla).

## Entorn

`DCOPSERVER`

`ICEAUTHORITY`

## Veure també

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

Al &kde; podeu introduir `help:/kdcop` en el &konqueror; per a veure el manual d'usuari per a l'eina gràfica de dcop, kdcop.